<?php
if ( ! function_exists( 'biography_skill_array' ) ) :
   /**
         * Service array creation
         *
         * @since Biography 1.0.0
         *
         * @param string $from_skill
         * @return array
         */

    function biography_skill_array() {
       
        
        global $biography_customizer_all_values;
        $biography_home_skill_enable = $biography_customizer_all_values['biography-home-skill-enable'];

        $biography_home_skill_contents_array = array();
        $biography_home_skill_contents_array[0]['biography-home-skill-name'] = esc_html__('WordPress', 'biography');
        $biography_home_skill_contents_array[0]['biography-home-skill-percent']= 100;

        $biography_home_skill_contents_array[1]['biography-home-skill-name'] = esc_html__('PHP', 'biography');
        $biography_home_skill_contents_array[1]['biography-home-skill-percent']= 80;

        $biography_home_skill_contents_array[2]['biography-home-skill-name'] = esc_html__('JavaScript', 'biography');
        $biography_home_skill_contents_array[2]['biography-home-skill-percent']= 60;

        $biography_home_skill_contents_array[3]['biography-home-skill-name'] = esc_html__('jQuery', 'biography');
        $biography_home_skill_contents_array[3]['biography-home-skill-percent']= 80;

        $biography_home_skill_contents_array[4]['biography-home-skill-name'] = esc_html__('Angular Js', 'biography');
        $biography_home_skill_contents_array[4]['biography-home-skill-percent']= 70;

        $biography_home_skill_contents_array[5]['biography-home-skill-name'] = esc_html__('Ruby', 'biography');
        $biography_home_skill_contents_array[5]['biography-home-skill-percent']= 65;

        
        $biography_repeated_array = array('biography-home-skill-percent','biography-home-skill-name' );
        $biography_home_skill_posts = biography_get_repeated_all_value( 8, $biography_repeated_array );

              if( null != $biography_home_skill_posts  ) {
                 
                foreach( $biography_home_skill_posts as $biography_home_skill_post ) {
                     if( isset( $biography_home_skill_post['biography-home-skill-name']) && isset($biography_home_skill_post['biography-home-skill-percent'])){
                    if( 0 != $biography_home_skill_post['biography-home-skill-percent'] ){
                        $biography_home_skill_posts_number[]= $biography_home_skill_post['biography-home-skill-percent'];

                        if( isset( $biography_home_skill_post['biography-home-skill-name'] )){
                            $biography_home_skill_name[] = $biography_home_skill_post['biography-home-skill-name'];
                        }
                        else{
                            $biography_home_skill_name ='WordPress';
                        }
                      
                    }
                  }
                }
                  if(isset($biography_home_skill_posts_number)){
                    $biography_home_skill_contents_array = array();
                   for($i=0; $i<count($biography_home_skill_posts_number); $i++){
                    $biography_home_skill_contents_array[$i]['biography-home-skill-percent'] = $biography_home_skill_posts_number[$i];
                    $biography_home_skill_contents_array[$i]['biography-home-skill-name'] = $biography_home_skill_name[$i];
                 }
                }
              }
               
            return $biography_home_skill_contents_array;

                
            }
          endif;
          if ( ! function_exists( 'biography_home_skill' ) ) :
                /**
                 * Services
                 *
                 * @since Bizlight 1.0.0
                 *
                 * @param null
                 * @return null
                 *
                 */
                
           function biography_home_skill() {
            global $biography_customizer_all_values;

             if( TRUE != $biography_customizer_all_values['biography-home-skill-enable'] ){
                  return null;
              }
              $biography_skill_arrays = biography_skill_array();    

              $biography_home_skill_title = $biography_customizer_all_values['biography-home-skill-title'];


          ?>
    

        <!-- Additonal section 1 -->
        <section class="wrapper wrap-skill">
            <div class="container overhidden">
                <div class="col-md-12 biography-animate slideInLeft" style="visibility: visible; animation-name: slideInLeft;">
                     <?php
                    if( !empty( $biography_home_skill_title ) ){
                        ?>
                        <div class="block-title">
                              <h2><?php echo esc_html( $biography_home_skill_title); ?></h2>
                              <div class="title-divider"><span></span></div>
                        </div>
                        <?php
                      }else{
                        ?>
                        <div class="block-title">
                              <h2>My Skill</h2>
                              <div class="title-divider"><span></span></div>
                        </div>
                        <?php
                      }
                    ?>
                   
                   
                    <div class="skill-content">
                        <div class="row">
                            <div class="col-sm-10 col-sm-offset-1">
                              <?php foreach ($biography_skill_arrays as $biography_skill_array) { ?>
                            
                                <div class="skill-item">
                                  <div class="title-detail">
                                  <?php if (absint($biography_skill_array['biography-home-skill-percent']) > 100){
                                       $biography_skill_array['biography-home-skill-percent'] = 100 ;
                                  }
                                  ?>
                                  <span class="progress-title"><?php echo esc_html($biography_skill_array['biography-home-skill-name']); ?> </span>
                                  <span class="progress-value"><?php echo absint($biography_skill_array['biography-home-skill-percent']); ?> %</span>
                                  </div>
                                  <div class="progress">
                                    <div class="progress-bar" role="progressbar" aria-valuenow="95" aria-valuemin="0" aria-valuemax="100" style="width: <?php echo absint($biography_skill_array['biography-home-skill-percent']);?>%;"></div>
                                  </div>
                                </div>

                               <?php } ?>
                               
                              
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

    <?php }
endif;

add_action( 'skill', 'biography_home_skill', 10 );