<?php
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;

/*defaults values*/
$biography_customizer_defaults['biography-pagination-options'] = 'numeric';

$biography_sections['biography-pagination-options'] =
    array(
        'priority'       => 30,
        'title'          => esc_html__( 'Pagination Options', 'biography' ),
        'panel'          => 'biography-theme-options',
    );

$biography_settings_controls['biography-pagination-options'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-pagination-options'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Pagination Options', 'biography' ),
            'section'               => 'biography-pagination-options',
            'type'                  => 'select',
            'choices'               => array(
                'default' => esc_html__( 'Default', 'biography' ),
                'numeric' => esc_html__( 'Numeric', 'biography' )
            ),
            'priority'              => 20,
            'description'           => '',
            'active_callback'       => ''
        )
    );
